> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get locations



## OpenAPI

````yaml /api-reference/read-api.yaml get /locations
openapi: 3.1.0
info:
  title: Datalyr Read API
  version: 1.0.0
  description: Read analytics and workspace data from Datalyr.
servers:
  - url: https://api.datalyr.com/v1
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: Events and users
  - name: Attribution and revenue
  - name: Workspace
paths:
  /locations:
    get:
      tags:
        - Analytics
      summary: Get locations
      operationId: get-locations
      parameters:
        - $ref: '#/components/parameters/startDate'
        - $ref: '#/components/parameters/endDate'
        - name: type
          in: query
          schema:
            type: string
            enum:
              - country
              - region
              - city
            default: country
        - $ref: '#/components/parameters/limit100'
      responses:
        '200':
          $ref: '#/components/responses/Success'
components:
  parameters:
    startDate:
      name: start_date
      in: query
      required: true
      description: Inclusive ISO 8601 start date.
      schema:
        type: string
        format: date-time
    endDate:
      name: end_date
      in: query
      required: true
      description: Inclusive ISO 8601 end date.
      schema:
        type: string
        format: date-time
    limit100:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
  responses:
    Success:
      description: Successful response.
      content:
        application/json:
          schema:
            type: object
            additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Datalyr API key

````